1. CaseStreet's Avatar
    My iphone 2g is running version 3.1.2 on 04.05.04_G firmware. My old laptop died on me and now I need to download iTunes for my new laptop. I don't want to download the new iTunes before updating my iphone. What jailbreak do I need and what version of iTunes can I use? Where can I get them? Please help. Thanks.
    04-30-2011 08:09 PM
  2. Ipheuria's Avatar
    If you have an iPhone 2G I don't think it will go further than 3.1.3. The 3G has problems with firmware past that version much less the 2G. So I would say why bother upgrade? If it works good just use it like it is.
    05-01-2011 02:11 AM
  3. CaseStreet's Avatar
    Thanks. So what version of iTunes can I use? and where can I download it?
    05-03-2011 02:41 PM
  4. liquidzoo's Avatar
    Any of them from Apple will work. My son has an iPod Touch 1G that we use with iTunes 10.2.2 (or whatever the newest one is) with no problems at all.
    05-03-2011 02:56 PM
  5. CaseStreet's Avatar
    My phone is jailbroken. If I connect it to iTunes 10 won't it get bricked? I had iTunes 9 on my dead laptop and was able to connect my 2g, but don't know where to download iTunes 9.
    05-03-2011 10:18 PM
  6. liquidzoo's Avatar
    Nope. I have a jailbroken 3GS and I sync with iTunes almost every day to change around media. Never had an issue.
    05-04-2011 10:43 AM
  7. Ipheuria's Avatar
    It only happend once that iTunes changes broke JB. Although it's good to wait and find out if the new versions of iTunes are ok to use they seldom cause problems with JB especially on older JBs like what would be on a 2G.
    05-04-2011 05:39 PM
  8. CaseStreet's Avatar
    Ok. Thanks for the help.
    05-05-2011 11:09 AM
LINK TO POST COPIED TO CLIPBOARD